var font = LoadFont("font.rfn");				//Shortcuts...
var smallfont = LoadFont("smallfont.rfn");
var timefont = LoadFont("timefont.rfn");

var Music;
var MainMusic = LoadSound("Battle.it");
var EndLevelMusic = LoadSound("WonLevel.it");

var Yellow = CreateColor(255, 255, 50);

var Window = LoadWindowStyle("simple.rws");

var ScreenWidth = GetScreenWidth();
var ScreenHeight = GetScreenHeight();		//More Shortcuts ;)

var levelnumber = 0;	//Level number.

var disappear = 0;	//Time before level text disappears (in 1/100s)
var leftx = 90;			//Left title text X.
var rightx = 90;		//Right title text X.
var switcher = false;	//Determines if the title texts go left or right.

//LEVEL NAMES
var levelname = new Array;
levelname[1] = "Grass, Walls 'n Desert";
levelname[2] = "The Mysterious Cave";
levelname[3] = "Still Undefined";


RequireSystemScript("audio.js");
RequireSystemScript("time.js");
RequireScript("effects.js");
RequireScript("renders.js");
RequireScript("endlevel.js");
RequireScript("tile_movement.js");


function game()
{
smallfont.setColorMask(DarkBlue);
timefont.setColorMask(CreateColor(0,0,0));

MainMusic.play(true);
logo();

CreatePerson("Ball", "ball.rss", false);
AttachInput("Ball");
AttachCamera("Ball");

BindKey(KEY_UP,    "AddKey(KEY_UP)",    "RemoveKey(KEY_UP)");
BindKey(KEY_DOWN,  "AddKey(KEY_DOWN)",  "RemoveKey(KEY_DOWN)");
BindKey(KEY_LEFT,  "AddKey(KEY_LEFT)",  "RemoveKey(KEY_LEFT)");
BindKey(KEY_RIGHT, "AddKey(KEY_RIGHT)", "RemoveKey(KEY_RIGHT)");

SetUpdateScript("UpdateTileMovement()");

MapEngine("intro.rmp", 80);
}

function Start(number)
{

levelnumber = number;
MusicStop();
Music = LoadSound("Maze" + levelnumber + ".it");

//Stop Tile movement.
g_allow_movement = false;
g_keys_pressed = new Array();
g_still_to_move = -1;
g_last_command = -1;

RemoveKey(KEY_UP);
RemoveKey(KEY_DOWN);
RemoveKey(KEY_LEFT);
RemoveKey(KEY_RIGHT);
g_allow_movement = true;

ChangeMap("Maze" + levelnumber + ".rmp");
Music.play(true);
SetRenderScript("LevelRender('level ' + levelnumber, levelname[levelnumber])");

}

function CreditScreen()
{



}

function MusicStop()
{
var current = 1;
MainMusic.stop();
EndLevelMusic.stop();

while (current < 3)
{
	Music = LoadSound("Maze" + current + ".it")
	Music.stop();
	current++;
}
}